%define upstream_name Config-ApacheFormat
%define upstream_version 1.2

%{?perl_default_filter}

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 5
License: 	GPL or Artistic
Group: 		Development/Perl
Summary:	Use Apache format config files
Source: 	http://search.cpan.org/CPAN/authors/id/S/SA/SAMTREGAR/%{upstream_name}-%{upstream_version}.tar.bz2
Url: 		http://search.cpan.org/dist/%{upstream_name}
BuildRequires: perl-devel
BuildRequires: perl(Class::MethodMaker)
# This one is not found automatically
Requires:      perl(Class::MethodMaker) 

BuildArch: noarch

%description
This module is designed to parse a configuration file in the same syntax used
by the Apache web server (see http://httpd.apache.org for details). This
allows you to build applications which can be easily managed by experienced
Apache admins. Also, by using this module, you'll benefit from the support for
nested blocks with built-in parameter inheritance. This can greatly reduce the
amount or repeated information in your configuration files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.200.0-5.mga8
+ Revision: 1493565
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.200.0-4.mga7
+ Revision: 1266582
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.200.0-3.mga6
+ Revision: 1024281
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.200.0-2.mga6
+ Revision: 968864
- Mageia 6 Mass Rebuild

* Mon Jul 20 2015 sander85 <sander85> 1.200.0-1.mga6
+ Revision: 855737
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 1.2-11.mga5
+ Revision: 745570
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-10.mga5
+ Revision: 683971
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2-9.mga4
+ Revision: 510183
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2-8.mga3
+ Revision: 364587
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.2-7.mga1
+ Revision: 32739
- mageia rebuild
- imported package perl-Config-ApacheFormat


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.2-7mdv2010.0
+ Revision: 430336
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.2-6mdv2009.0
+ Revision: 241189
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-4mdv2008.0
+ Revision: 86186
- rebuild


* Mon Jul 25 2005 Olivier Thauvin <nanardon@mandriva.org> 1.2-3mdk
- Add changelog for -2mdk

* Mon Jul 25 2005 Olivier Thauvin <nanardon@mandriva.org> 1.2-2mdk
- Fix {Build}Requires

* Sat Jul 23 2005 Olivier Thauvin <nanardon@mandriva.org> 1.2-1mdk
- first mdk release

